#include <tcl.h>
#include <tk.h>
#include "tkRaster.h"


int ConstTclOk() {
  return TCL_OK;
}

int ConstTclError() {
  return TCL_ERROR;
}

void *ConstTclVolatile() {
  return TCL_VOLATILE;
}

int tclkit_cmd(ClientData user_data, Tcl_Interp *tcl, int argc, char **argv) {
  return C_TCL_KIT_command(argv);
}

void delete_proc(ClientData client_data) {}

void init_tcl_kit(Tcl_Interp *tcl) {
  Tcl_CreateCommand(tcl, "sather", tclkit_cmd, NULL, delete_proc);
  Tk_AddRaster(tcl);
  RasterInit(tcl);
}

char *str_ind(char **argv, int i) {
  return argv[i];
}

char *Tcl_GetResult(Tcl_Interp *interpreter) {
  return interpreter->result;
}


 
int
Tk_AddRaster(interp)
    Tcl_Interp *interp;         /* Interpreter for application. */
{
    Tk_Window main;
 
    main = Tk_MainWindow(interp);
    if (RasterInit(interp) == TCL_ERROR) {
       return TCL_ERROR;
    }
 
    Tcl_CreateCommand(interp, "raster", RasterCmd, (ClientData) main,
            (void (*)()) NULL);
    tcl_RcFileName = "~/.wishrc";
    return TCL_OK;
}

